Subject: bug#63544: closed (Re: bug#63544: 28.3; extra width not renderes correctly in TUI when making a character wider)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 10:36:02 +0000

Your bug report

#63544: 28.3; extra width not renderes correctly in TUI when making a character wider

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63544: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63544
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63544: 28.3; extra width not renderes correctly in TUI when making a character wider
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Adam Ibrahim <[email-masked]>, [email-masked]
Date: Sun, 3 Sep 2023 03:35:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 63544 notabug
> thanks
[...]
> This is not a bug.  I don't see how Emacs could do anything here to
> fix the terminal emulator, without causing serious degradation in
> redisplay performance.
>
> Sorry.

I'm therefore closing this bug report.

Subject: 28.3; extra width not renderes correctly in TUI when making a character wider
From: Adam Ibrahim <[email-masked]>
To: [email-masked]
Date: Tue, 16 May 2023 15:34:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When I make a character wider by changing the char width table, it isn't
sometimes with shows and sometimes it doesn't.

1. Start up emacs with this command.

emacs -Q --eval '(progn (set-char-table-range char-width-table #x221e 2)
(set-char-table-range char-width-table #x2014 2))'

2. Type "—a" into the scratch buffer. The em dash should be correctly
rendered two cells wide, and the a shouldn't overlap with the em dash.
3. `M-x redraw-screen`. The em dash should now overlap the a.

consistently works with:

- Termux, iosevka
- xfce4-terminal, iosevka and source code pro
- Kitty, iosevka